<blockquote class="blockquote ml-5" >
    <h2>Companies</h2>
</blockquote>

<div class="grid-table">
    <div class="thead">
        <div class="tr">
            <div class="td">Id</div>
            <div class="td">Name</div>
            <div class="td">Desc</div>
            <div class="td">
                <button class="btn btn-outline-success" (click)="addUserAccountForms()">
                    <i class="fa fa-plus"></i> New Company
                </button>
            </div>
        </div>
    </div>
    <div class="tbody">
        <form class="tr" [formGroup]="$any(fg)" *ngFor="let fg of companiesDetailsForms.controls; let i=index;" (submit)="recordSubmit($any(fg))">
            <div class="td">
                <input class="form-control" formControlName="id_Company" readonly style="background-color: black;">
            </div>
            <div class="td">
                <input class="form-control" formControlName="nameCompany">
            </div>
            <div class="td">
                <input class="form-control" formControlName="descCompany">
            </div>
            <div class="td" style="display: none;">
                <input class="form-control" formControlName="idUser" hidden>
            </div>
            <div class="td">
                <button type="submit" class="btn" [disabled]="fg.invalid"
                    [ngClass]="(fg.get('id_Company')?.value==0)?'btn-success':'btn-outline-dark'"><i
                        class="far fa-save fa-lg"></i>
                    {{fg.get('id_Company')!.value==0?'Submit':'Update'}}
                </button>
                <button class="btn btn-light ml-1" (click)="onDelete(fg.get('id_Company')!.value,i)">
                    <i class="far fa-trash-alt fa-lg text-danger"></i>
                </button>
            </div>
        </form>
    </div>
</div>